Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/404.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/404.php	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/404.php	(revision 3764)
@@ -23,12 +23,7 @@
 
 				<div class="logo-swing">
-					<span class="dashicons dashicons-wordpress wp-logo"></span>
-					<span class="dashicons dashicons-wordpress wp-logo hinge"></span>
+					<img src="http://messislore.com/images/wp-logo-blue-trans-blur.png" class="wp-logo" />
+					<img src="http://messislore.com/images/wp-logo-blue.png" class="wp-logo" />
 				</div>
-				<script>
-					setTimeout( function() {
-						jQuery( '.hinge' ).hide();
-					}, 1900 );
-				</script>
 			</div><!-- .page-content -->
 		</section><!-- .error-404 -->
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/action-types.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/action-types.js	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/action-types.js	(revision 3764)
@@ -1,4 +1,5 @@
 
-export const GET_PAGE   = 'GET_PAGE';
-export const GET_BROWSE = 'GET_BROWSE';
-export const GET_PLUGIN = 'GET_PLUGIN';
+export const GET_PAGE       = 'GET_PAGE';
+export const GET_BROWSE     = 'GET_BROWSE';
+export const GET_PLUGIN     = 'GET_PLUGIN';
+export const SEARCH_PLUGINS = 'SEARCH_PLUGINS';
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/index.js	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/actions/index.js	(revision 3764)
@@ -7,5 +7,7 @@
 	GET_PAGE,
 	GET_BROWSE,
-	GET_PLUGIN
+	GET_PLUGIN,
+	GET_PLUGINS,
+	SEARCH_PLUGINS
 } from './action-types';
 
@@ -49,2 +51,16 @@
 	} );
 };
+
+export const searchPlugins = ( searchTerm ) => ( dispatch ) => {
+	Api.get( '/wp/v2/plugin', { search: searchTerm }, ( data, error, headers ) => {
+		if ( ! data || error ) {
+			return;
+		}
+
+		dispatch( {
+			type: SEARCH_PLUGINS,
+			searchTerm: searchTerm,
+			plugins: data
+		} );
+	} );
+};
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/404/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/404/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/404/index.jsx	(revision 3764)
@@ -8,5 +8,5 @@
 		setTimeout( function() {
 			jQuery( '.hinge' ).hide();
-		}, 1900 );
+		}, 1800 );
 	},
 
@@ -21,6 +21,6 @@
 
 					<div className="logo-swing">
-						<span className="dashicons dashicons-wordpress wp-logo" />
-						<span className="dashicons dashicons-wordpress wp-logo hinge" />
+						<img src="http://messislore.com/images/wp-logo-blue-trans-blur.png" className="wp-logo" />
+						<img src="http://messislore.com/images/wp-logo-blue.png" className="wp-logo hinge" />
 					</div>
 				</div>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/browse.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/browse.jsx	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/browse.jsx	(revision 3764)
@@ -0,0 +1,26 @@
+import React from 'react';
+
+import ContentNone from 'components/content-none';
+import PluginCard from 'components/plugin-card';
+
+export default React.createClass( {
+	displayName: 'ArchiveBrowse',
+
+	render() {
+		if ( this.props.plugins && this.props.plugins.length ) {
+			return (
+				<div>
+					<header className="page-header">
+						<h1 className="page-title">Browse: <strong>{ this.props.params.type }</strong></h1>
+						<div className="taxonomy-description"></div>
+					</header>
+					{ this.props.plugins.map( slug =>
+						<PluginCard key={ slug } slug={ slug } />
+					) }
+				</div>
+			)
+		}
+
+		return <ContentNone { ...this.props } />;
+	}
+} );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/archive/browse/index.jsx	(revision 3764)
@@ -1,39 +1,12 @@
-import React, { Component } from 'react';
+import React from 'react';
 import { connect } from 'react-redux';
 
-/**
- * Internal dependencies.
- */
 import { getBrowse } from 'actions';
-import ContentNone from 'components/content-none';
-import PluginCard from 'components/plugin-card';
+import Browse from './browse';
 
-
-const ArchiveBrowse = React.createClass( {
-	displayName: 'ArchiveBrowse',
-
-	render() {
-		if ( this.props.plugins ) {
-			return (
-				<div>
-					<header className="page-header">
-						<h1 className="page-title">Browse: <strong>{ this.props.params.type }</strong></h1>
-						<div className="taxonomy-description"></div>
-					</header>
-					{ this.props.plugins.map( slug =>
-						<PluginCard key={ slug } slug={ slug } />
-					) }
-				</div>
-			)
-		}
-
-		return <ContentNone { ...this.props } />;
-	}
-} );
-
-class ArchiveBrowseContainer extends Component {
+const BrowseContainer = React.createClass( {
 	componentDidMount() {
 		this.getBrowse();
-	}
+	},
 
 	componentDidUpdate( previousProps ) {
@@ -41,14 +14,14 @@
 			this.getBrowse();
 		}
-	}
+	},
 
 	getBrowse() {
 		this.props.dispatch( getBrowse( this.props.params.type ) );
-	}
+	},
 
 	render() {
-		return <ArchiveBrowse { ...this.props } />;
+		return <Browse { ...this.props } />;
 	}
-}
+} );
 
 const mapStateToProps = ( state, ownProps ) => ( {
@@ -56,5 +29,5 @@
 } );
 
-export default connect( mapStateToProps )( ArchiveBrowseContainer );
+export default connect( mapStateToProps )( BrowseContainer );
 
 
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/content-none/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/content-none/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/content-none/index.jsx	(revision 3764)
@@ -17,5 +17,5 @@
 					<p>Sorry, but nothing matched your search terms.</p>
 					<p>Please try again with some different keywords.</p>
-					<SearchForm />
+					<SearchForm searchTerm={ this.props.params.searchTerm } />
 				</div>
 			);
@@ -52,5 +52,5 @@
 				<div className="page-content">
 					{ helpText }
-					<SearchForm />
+					<SearchForm searchTerm={ this.props.params.searchTerm } />
 				</div>
 			);
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/page/page.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/page/page.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/page/page.jsx	(revision 3764)
@@ -1,5 +1,3 @@
 import React from 'react';
-
-import { getPage } from 'actions';
 
 export default React.createClass( {
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/index.jsx	(revision 3764)
@@ -1,47 +1,16 @@
-import React, { Component } from 'react';
+import React from 'react';
 import { connect } from 'react-redux';
 import find from 'lodash/find';
-import { Link } from 'react-router';
 
 /**
  * Internal dependencies.
  */
+import PluginCard from './plugin-card';
 import { getPlugin } from 'actions';
-import PluginIcon from 'components/plugin-icon';
-import PluginRatings from 'components/plugin-ratings';
 
-const PluginCard = React.createClass( {
-	displayName: 'PluginCard',
-
-	render() {
-		if ( ! this.props.plugin ) {
-			return (
-				<div />
-			);
-		}
-
-		return (
-			<article className="plugin type-plugin">
-				<PluginIcon plugin={ this.props.plugin } />
-				<div className="entry">
-					<header className="entry-header">
-						<h2 className="entry-title">
-							<Link to={ this.props.plugin.slug } rel="bookmark">{ this.props.plugin.name }</Link>
-						</h2>
-					</header>
-
-					<PluginRatings rating={ this.props.plugin.rating } ratingCount={ this.props.plugin.num_ratings } />
-
-					<div className="entry-excerpt">{ this.props.plugin.short_description }</div>
-				</div>
-			</article>
-		)
-	}
-} );
-
-class PluginCardContainer extends Component {
+const PluginCardContainer = React.createClass( {
 	componentDidMount() {
 		this.getPlugin();
-	}
+	},
 
 	componentDidUpdate( previousProps ) {
@@ -49,14 +18,14 @@
 			this.getPlugin();
 		}
-	}
+	},
 
 	getPlugin() {
 		this.props.dispatch( getPlugin( this.props.slug ) );
-	}
+	},
 
 	render() {
 		return <PluginCard { ...this.props } />;
 	}
-}
+} );
 
 const mapStateToProps = ( state, ownProps ) => ( {
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/plugin-card.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/plugin-card.jsx	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-card/plugin-card.jsx	(revision 3764)
@@ -0,0 +1,37 @@
+import React from 'react';
+import { Link } from 'react-router';
+
+/**
+ * Internal dependencies.
+ */
+import PluginIcon from 'components/plugin-icon';
+import PluginRatings from 'components/plugin-ratings';
+
+export default React.createClass( {
+	displayName: 'PluginCard',
+
+	render() {
+		if ( ! this.props.plugin ) {
+			return (
+				<div />
+			);
+		}
+
+		return (
+			<article className="plugin type-plugin plugin-card">
+				<PluginIcon plugin={ this.props.plugin } />
+				<div className="entry">
+					<header className="entry-header">
+						<h2 className="entry-title">
+							<Link to={ `${ this.props.plugin.slug }/` } rel="bookmark">{ this.props.plugin.name }</Link>
+						</h2>
+					</header>
+
+					<PluginRatings rating={ this.props.plugin.rating } ratingCount={ this.props.plugin.num_ratings } />
+
+					<div className="entry-excerpt">{ this.props.plugin.short_description }</div>
+				</div>
+			</article>
+		)
+	}
+} );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-icon/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-icon/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/plugin-icon/index.jsx	(revision 3764)
@@ -1,7 +1,3 @@
 import React from 'react';
-
-/**
- * Internal dependencies.
- */
 
 export default React.createClass( {
@@ -11,4 +7,8 @@
 		const { icons, slug } = this.props.plugin;
 		let icon;
+
+		if ( ! icons ) {
+			return <div />;
+		}
 
 		if ( icons[ '1x' ] ) {
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/index.jsx	(revision 3764)
@@ -1,15 +1,44 @@
 import React from 'react';
+import { withRouter } from 'react-router';
 
-export default React.createClass( {
-	displayName: 'SearchForm',
+/**
+ * Internal dependencies.
+ */
+import SearchForm from './search-form';
+
+const SearchFormContainer = React.createClass( {
+	getInitialState() {
+		return {
+			searchTerm: this.props.searchTerm
+		};
+	},
+
+	onChange( searchTerm ) {
+		this.setState( {
+			searchTerm: searchTerm
+		} );
+	},
+
+	componentWillReceiveProps( nextProps ) {
+		this.setState( {
+			searchTerm: nextProps.searchTerm
+		} );
+	},
+
+	onSubmit( event ) {
+		var searchTerm = encodeURIComponent( this.state.searchTerm );
+		event.preventDefault();
+
+		if ( searchTerm ) {
+			this.props.router.push( `/search/${ searchTerm }/` );
+		} else {
+			this.props.router.push( '/' );
+		}
+	},
 
 	render() {
-		return (
-			<form role="search" method="get" className="search-form" action="/plugins/">
-				<label htmlFor="s" className="screen-reader-text">Search for:</label>
-				<input type="search" id="s" className="search-field" placeholder="Search plugins" name="s" />
-				<button className="button button-primary button-search"><i className="dashicons dashicons-search"></i></button>
-			</form>
-		)
+		return <SearchForm searchTerm={ this.state.searchTerm } onSubmit={ this.onSubmit } onChange={ this.onChange } />;
 	}
 } );
+
+export default withRouter( SearchFormContainer );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/search-form.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/search-form.jsx	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search-form/search-form.jsx	(revision 3764)
@@ -0,0 +1,30 @@
+import React from 'react';
+
+export default React.createClass( {
+	displayName: 'SearchForm',
+
+	onChange() {
+		this.props.onChange( this.refs.search.value );
+	},
+
+	render() {
+		return (
+			<form onSubmit={ this.props.onSubmit } role="search" method="get" className="search-form">
+				<label htmlFor="s" className="screen-reader-text">Search for:</label>
+				<input
+					className="search-field"
+					id="s"
+					name="s"
+					onChange={ this.onChange }
+					placeholder="Search plugins"
+					ref="search"
+					type="search"
+					value={ this.props.searchTerm }
+				/>
+				<button className="button button-primary button-search">
+					<i className="dashicons dashicons-search"></i>
+				</button>
+			</form>
+		)
+	}
+} );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/index.jsx	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/index.jsx	(revision 3764)
@@ -0,0 +1,31 @@
+import React from 'react';
+import { connect } from 'react-redux';
+
+import Search from './search';
+import { searchPlugins } from 'actions';
+
+const SearchContainer = React.createClass( {
+	componentDidMount() {
+		this.searchPlugins();
+	},
+
+	componentDidUpdate( previousProps ) {
+		if ( this.props.params.searchTerm !== previousProps.params.searchTerm ) {
+			this.searchPlugins();
+		}
+	},
+
+	searchPlugins() {
+		this.props.dispatch( searchPlugins( this.props.params.searchTerm ) );
+	},
+
+	render() {
+		return <Search { ...this.props } />;
+	}
+} );
+
+const mapStateToProps = ( state, ownProps ) => ( {
+	plugins: state.search[ ownProps.params.searchTerm ] || null
+} );
+
+export default connect( mapStateToProps )( SearchContainer );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/search.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/search.jsx	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/search/search.jsx	(revision 3764)
@@ -0,0 +1,30 @@
+import React from 'react';
+
+import ContentNone from 'components/content-none';
+import PluginCard from 'components/plugin-card';
+
+export default React.createClass( {
+	displayName: 'Search',
+
+	render() {
+		if ( ! this.props.plugins ) {
+			return <div>{ 'Loading...' }</div>;
+		}
+
+		if ( 0 === this.props.plugins.length ) {
+			return <ContentNone { ...this.props } />;
+		}
+
+		return (
+			<div>
+				<header className="page-header">
+					<h1 className="page-title">Search results for: <strong>{ this.props.params.searchTerm }</strong></h1>
+					<div className="taxonomy-description"></div>
+				</header>
+				{ this.props.plugins.map( slug =>
+					<PluginCard key={ slug } slug={ slug } />
+				) }
+			</div>
+		);
+	}
+} );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/index.js	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/index.js	(revision 3764)
@@ -8,5 +8,6 @@
 
 const mapStateToProps = ( state, ownProps ) => ( {
-	isHome: ownProps.router.isActive( '/', true )
+	isHome: ownProps.router.isActive( '/', true ),
+	searchTerm: ownProps.params.searchTerm || ''
 } );
 
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/main-navigation/index.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/main-navigation/index.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/main-navigation/index.jsx	(revision 3764)
@@ -36,5 +36,5 @@
 						{ menuItems }
 						<li>
-							<SearchForm />
+							<SearchForm searchTerm={ this.props.searchTerm } />
 						</li>
 					</ul>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/site-header.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/site-header.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/components/site-header/site-header.jsx	(revision 3764)
@@ -1,7 +1,4 @@
 import React from 'react';
 
-/**
- * Internal dependencies.
- */
 import SearchForm from 'components/search-form';
 import SiteDescription from './site-description';
@@ -21,5 +18,5 @@
 					<SiteTitle isHome={ this.props.isHome } />
 					<SiteDescription isHome={ this.props.isHome } />
-					{ this.props.isHome ? <SearchForm /> : <MainNavigation /> }
+					{ this.props.isHome ? <SearchForm searchTerm={ this.props.searchTerm } /> : <MainNavigation searchTerm={ this.props.searchTerm } /> }
 				</div>
 			</header>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/index.js	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/index.js	(revision 3764)
@@ -8,4 +8,5 @@
 import pages from './pages';
 import plugins from './plugins';
+import search from './search';
 
 export default combineReducers( {
@@ -13,4 +14,5 @@
 	pages,
 	plugins,
+	search,
 	routing: routerReducer
 } );
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/search.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/search.js	(revision 3764)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/reducers/search.js	(revision 3764)
@@ -0,0 +1,21 @@
+
+/**
+ * Internal dependencies.
+ */
+import { SEARCH_PLUGINS } from 'actions/action-types';
+
+const plugins = ( state = {}, action ) => { // jshint ignore:line
+
+	switch ( action.type ) {
+		case SEARCH_PLUGINS:
+			state = Object.assign( {}, state, {
+				[ action.searchTerm.toLowerCase() ] : action.plugins.map( plugin => ( plugin.slug ) )
+			} );
+
+			break;
+	}
+
+	return state;
+};
+
+export default plugins;
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/router.jsx
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/router.jsx	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/js/client/router.jsx	(revision 3764)
@@ -13,4 +13,5 @@
 import Page from 'components/page';
 import PluginDirectory from 'components/plugin-directory';
+import Search from 'components/search';
 import SiteHeader from 'components/site-header';
 import SiteMain from 'components/site-main';
@@ -29,5 +30,5 @@
 				<Route path="browse/:type" component={ ArchiveBrowse } />
 				<Route path="developers" component={ Page } />
-				<Route path="search/:searchTerm" component={ FrontPage } />
+				<Route path="search/:searchTerm" component={ Search } />
 				<Route path=":plugin" component={ FrontPage } />
 				<Route path="*" component={ NotFound } />
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/plugin.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/plugin.php	(revision 3763)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/plugin.php	(revision 3764)
@@ -12,5 +12,5 @@
 
 
-?><article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
+?><article id="post-<?php the_ID(); ?>" <?php post_class( 'plugin-card' ); ?>>
 	<div class="entry-thumbnail">
 		<a href="<?php the_permalink(); ?>" rel="bookmark">
